<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.savedatabucket request
 * 
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthSynergyYzwSavedatabucketRequest
{
	/** 
	 * 文件字节数组转base64:  1）读取文件转成byte[], 然后拆分字节数组分批上传。类似分页，每一页字节数组大小建议设置2000000(即2M),之后转成base64,调用此接口上传。  2）循环N次后，把接口返回的结果使用逗号拼接隔开，传给其他接口作为文件URL。 
	 **/
	private $base64Data;
	
	/** 
	 * 文件名，支持pdf , png ,jpg 等
	 **/
	private $fileName;
	
	/** 
	 * 企业ID
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setBase64Data($base64Data)
	{
		$this->base64Data = $base64Data;
		$this->apiParas["base64_data"] = $base64Data;
	}

	public function getBase64Data()
	{
		return $this->base64Data;
	}

	public function setFileName($fileName)
	{
		$this->fileName = $fileName;
		$this->apiParas["file_name"] = $fileName;
	}

	public function getFileName()
	{
		return $this->fileName;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.savedatabucket";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->base64Data,"base64Data");
		RequestCheckUtil::checkNotNull($this->fileName,"fileName");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
